cubrid_lob2_close
cubrid_lob2_import
CUBRID Functions
PHP Manual

# cubrid_lob2_export

(PECL CUBRID >= 8.4.1)

cubrid_lob2_export — Export the lob object to a file.

### Description

bool cubrid_lob2_export ( resource `$lob_identifier` , string `$file_name` )

The cubrid_lob2_export() function is used to save the contents of BLOB/CLOB data to a file. To use this function, you must use cubrid_lob2_new() or fetch a lob object from CUBRID database first. If the file already exists, the operation will fail. This function will not influence the cursor position of the lob object. It operates the entire lob object.

### Parameters

`lob_identifier`

  Lob identifier as a result of cubrid_lob2_new() or get from the result set.

`filename`

  File name you want to store BLOB/CLOB data. It also supports the path of the file.

### Return Values

`TRUE` if the process is successful and `FALSE` for failure.

### Examples

Example #1 cubrid_lob2_export() example

`<?php
// Table: test_lob (id INT, contents CLOB)
$conn = cubrid_connect("localhost", 33000, "demodb", "dba", "");
cubrid_execute($conn,"DROP TABLE if exists doc");
cubrid_execute($conn,"CREATE TABLE doc (id INT, doc_content CLOB)");
cubrid_execute($conn,"INSERT INTO doc VALUES (5,'hello,cubrid')");
$req = cubrid_prepare($conn, "select * from doc");
cubrid_execute($req);
cubrid_move_cursor($req, 1, CUBRID_CURSOR_FIRST);
$row = cubrid_fetch($req, CUBRID_NUM | CUBRID_LOB);
cubrid_lob2_export($row[1], "doc_3.txt");
cubrid_lob2_close($row[1]);
cubrid_disconnect($conn);
?>`

### See Also

- cubrid_lob2_new() - Create a lob object.
- cubrid_lob2_close() - Close LOB object.
- cubrid_lob2_import() - Import BLOB/CLOB data from a file.
- cubrid_lob2_bind() - Bind a lob object or a string as a lob object to a prepared statement as parameters.

cubrid_lob2_close
cubrid_lob2_import
CUBRID Functions
PHP Manual